1.117. pam_krb5

1.117.1. RHBA-2011:1016: pam_krb5 bug fix update

An updated pam_krb5 package that fixes various bugs is now available for Red Hat Enterprise Linux 5.
The pam_krb5 package allows applications which use the Pluggable Authentication Modules (PAM) framework to perform password-based authentication using Kerberos 5.
This updated pam_krb5 package includes fixes for the following bugs:
* Previously, multiple authentication attempts may have led to a memory leak when the pam_krb5 module was unloaded. This was caused when the calling application cleaned up the context it used when interacting with the libpam. This has been fixed by preventing the module from being unloaded. (BZ#643962)
* An attempt to set a new Kerberos password using the "passwd" command failed due to a bug which was triggered when the smart card authentication method was enabled and the card was plugged in. This problem has been fixed and users are now able to change the Kerberos password. (BZ#713967)
All users of pam_krb5 are advised to upgrade to this updated package, which resolves these issues.